scoreboard players add @a[team=main_menu] Main_Menu_Y 0
scoreboard players add @a[team=main_menu] Main_Menu_Z 0
scoreboard players add @a[team=main_menu] Main_Menu 0
scoreboard players reset @a[team=!main_menu] Main_Menu_Y
scoreboard players reset @a[team=!main_menu] Main_Menu_Z
scoreboard players reset @a[team=!main_menu] Main_Menu
scoreboard players add @a[team=main_menu] Main_Menu_Delay 0
scoreboard players reset @a[team=!main_menu] Main_Menu_Delay
tag @a[team=!main_menu] remove main_menu_teleported
tag @a[team=!main_menu] remove main_menu_in_rules



# Main Menu
execute as @a[team=main_menu,tag=!main_menu_teleported] at @s run teleport @s -19 223 3 180 0
execute as @a[team=main_menu,tag=!main_menu_teleported] at @s run playsound backrooms.custom.vhsvince_presents master @s ~ ~ ~ 1000000 1
execute as @a[team=main_menu,tag=!main_menu_teleported] at @s run tag @s add whitenoise
execute as @a[team=main_menu,tag=!main_menu_teleported] at @s run tag @s add main_menu_teleported


# Main Menu GUI
execute as @a[team=main_menu] at @s run title @s times 0 5 0

execute as @a[team=main_menu,tag=!main_menu_in_rules,scores={Main_Menu=0}] at @s run title @s title "\uE019\uE015\uE019"
execute as @a[team=main_menu,tag=!main_menu_in_rules,scores={Main_Menu=1}] at @s run title @s title "\uE019\uE016\uE019"
execute as @a[team=main_menu,tag=!main_menu_in_rules,scores={Main_Menu=2}] at @s run title @s title "\uE019\uE017\uE019"
execute as @a[team=main_menu,tag=!main_menu_in_rules,scores={Main_Menu=3..}] at @s run title @s title "\uE019\uE018\uE019"

execute as @a[team=main_menu,tag=main_menu_in_rules] at @s run title @s title "\uE019\uE020\uE019"

# Control
execute as @a[team=main_menu] at @s store result score @s Main_Menu_Y run data get entity @s Pos[1] 1000
execute as @a[team=main_menu] at @s store result score @s Main_Menu_Z run data get entity @s Pos[2] 1000

execute as @a[team=main_menu] at @s run teleport @s -19 ~ ~ 180 0

execute as @a[tag=main_menu_in_rules1] at @s run tag @s remove main_menu_select_sound
execute as @a[tag=main_menu_select_sound] at @s run playsound minecraft:backrooms.custom.main_menu_select master @s ~ ~ ~ 1000000 1
tag @a[tag=main_menu_select_sound] remove main_menu_select_sound

execute as @a[tag=main_menu_enter_sound] at @s run playsound minecraft:backrooms.custom.main_menu_select master @s ~ ~ ~ 1000000 0.8
tag @a[tag=main_menu_enter_sound] remove main_menu_enter_sound

scoreboard players set @a[team=main_menu,scores={Main_Menu=4..}] Main_Menu 3
scoreboard players set @a[team=main_menu,tag=main_menu_in_rules1] Main_Menu 0

execute as @a[team=main_menu,scores={Main_Menu_Z=..3499,Main_Menu_Delay=0}] at @s run tag @s add main_menu_select_sound
execute as @a[team=main_menu,scores={Main_Menu_Z=..3499,Main_Menu_Delay=0}] at @s run scoreboard players remove @s[scores={Main_Menu=1..}] Main_Menu 1
execute as @a[team=main_menu,scores={Main_Menu_Z=..3499,Main_Menu_Delay=0}] at @s run scoreboard players set @s Main_Menu_Delay 1
execute as @a[team=main_menu,scores={Main_Menu_Z=..3499}] at @s run teleport @s -19 223 3 180 0

execute as @a[team=main_menu,scores={Main_Menu_Z=3501..,Main_Menu_Delay=0}] at @s run tag @s add main_menu_select_sound
execute as @a[team=main_menu,scores={Main_Menu_Z=3501..,Main_Menu_Delay=0}] at @s run scoreboard players add @s Main_Menu 1
execute as @a[team=main_menu,scores={Main_Menu_Z=3501..,Main_Menu_Delay=0}] at @s run scoreboard players set @s Main_Menu_Delay 1
execute as @a[team=main_menu,scores={Main_Menu_Z=3501..}] at @s run teleport @s -19 223 3 180 0

execute as @a[team=main_menu,scores={Main_Menu_Y=223001..,Main_Menu_Delay=0}] at @s run tag @s add main_menu_enter_sound
execute as @a[team=main_menu,tag=!main_menu_in_rules1,scores={Main_Menu_Y=223001..,Main_Menu=0,Main_Menu_Delay=0}] at @s run function game_controller:actions/game/main_menu/play
execute as @a[team=main_menu,tag=!main_menu_in_rules1,scores={Main_Menu_Y=223001..,Main_Menu=1,Main_Menu_Delay=0}] at @s run function game_controller:actions/game/main_menu/rules
execute as @a[team=main_menu,tag=!main_menu_in_rules1,scores={Main_Menu_Y=223001..,Main_Menu=2,Main_Menu_Delay=0}] at @s run function game_controller:actions/game/main_menu/credits
execute as @a[team=main_menu,tag=!main_menu_in_rules1,scores={Main_Menu_Y=223001..,Main_Menu=3,Main_Menu_Delay=0}] at @s run function game_controller:actions/game/main_menu/quit
execute as @a[team=main_menu,tag=main_menu_in_rules1,scores={Main_Menu_Y=223001..,Main_Menu_Delay=0}] at @s run function game_controller:actions/game/main_menu/exit
execute as @a[team=main_menu,scores={Main_Menu_Y=223001..,Main_Menu_Delay=0}] at @s run scoreboard players set @s Main_Menu_Delay 1
execute as @a[team=main_menu,scores={Main_Menu_Y=223001..}] at @s run teleport @s -19 223 3 180 0

scoreboard players add @a[team=main_menu,scores={Main_Menu_Delay=1..}] Main_Menu_Delay 1
scoreboard players set @a[team=main_menu,scores={Main_Menu_Delay=5..}] Main_Menu_Delay 0

tag @e[tag=main_menu_in_rules1] remove main_menu_in_rules1
tag @a[team=main_menu,tag=main_menu_in_rules] add main_menu_in_rules1
# End