scoreboard players add @s BacteriaSearch 0
scoreboard players add @s[tag=bacteria_search1] BacteriaSearch 1
scoreboard players add @s[tag=bacteria_search2] BacteriaSearch 1
tag @s[tag=!summoned_bacteria,tag=!slowness1,x=-6,y=242,z=30,dx=5,dy=4,dz=14] add slow1
tag @s[tag=!summoned_bacteria,x=-1,y=242,z=42,dx=3,dy=4,dz=4] remove slowness1
tag @s[tag=!summoned_bacteria,tag=!slowness2,x=-1,y=242,z=42,dx=3,dy=4,dz=4] add slow2
tag @s[tag=!summoned_bacteria,x=1,y=242,z=43,dx=3,dy=4,dz=4] remove slowness2
tag @s[tag=!summoned_bacteria,tag=!slowness3,x=1,y=242,z=43,dx=3,dy=4,dz=4] add slow3

execute if score @s BacteriaSearch matches 1..180 as @e[tag=aj.bacteria.root] at @s run teleport @s ^ ^ ^0.05
execute if score @s BacteriaSearch matches 180..200 as @e[tag=aj.bacteria.root] at @s run teleport @s ^ ^ ^0.05 ~-1.75 ~
execute if score @s BacteriaSearch matches 200 as @e[tag=aj.bacteria.root] at @s run teleport @s ~ ~ ~ 90 ~
execute if score @s BacteriaSearch matches 200..299 as @e[tag=aj.bacteria.root] at @s run teleport @s ^ ^ ^0.05 ~ ~
execute if score @s BacteriaSearch matches ..299 run setblock 0 243 44 minecraft:zombie_wall_head[facing=north]
execute if score @s BacteriaSearch matches ..299 run setblock 0 243 43 minecraft:zombie_wall_head[facing=south]
execute if score @s[tag=!summoned_bacteria] BacteriaSearch matches 300 unless entity @s[x=0,y=242,z=43,dx=8,dy=4,dz=4] run fill 0 243 43 0 243 44 minecraft:zombie_head
execute if score @s[tag=!summoned_bacteria] BacteriaSearch matches 300 unless entity @s[x=0,y=242,z=43,dx=8,dy=4,dz=4] run tag @e[tag=aj.bacteria.root] add summon_bacteria
execute if score @s[tag=!summoned_bacteria] BacteriaSearch matches 300 unless entity @s[x=0,y=242,z=43,dx=8,dy=4,dz=4] run tag @s remove slowness2
execute if score @s[tag=!summoned_bacteria] BacteriaSearch matches 300 unless entity @s[x=0,y=242,z=43,dx=8,dy=4,dz=4] run tag @s remove slowness3
execute if score @s[tag=!summoned_bacteria] BacteriaSearch matches 300 unless entity @s[x=0,y=242,z=43,dx=8,dy=4,dz=4] run tag @s add slow2
execute if score @s[tag=!summoned_bacteria] BacteriaSearch matches 300 unless entity @s[x=0,y=242,z=43,dx=8,dy=4,dz=4] run tag @s add summoned_bacteria
tag @s[scores={BacteriaSearch=300..}] remove bacteria_search1

execute if entity @s[tag=!summoned_bacteria,x=3,y=242,z=43,dx=3,dy=4,dz=4] run fill 1 243 43 1 243 47 barrier
execute if entity @s[tag=!summoned_bacteria,x=4,y=242,z=43,dx=3,dy=4,dz=4] run fill 2 243 43 2 243 47 barrier
tag @s[tag=bacteria_search1,x=3,y=242,z=43,dx=3,dy=4,dz=4] remove summoned_bacteria

tag @s[x=3,y=242,z=43,dx=3,dy=4,dz=4] add bacteria_search2
scoreboard players set @s[tag=bacteria_search1,tag=bacteria_search2] BacteriaSearch 300
tag @s[x=3,y=242,z=43,dx=3,dy=4,dz=4] remove bacteria_search1
execute if score @s BacteriaSearch matches 301 run teleport @e[tag=aj.bacteria.root] -2.0 242 37.3 0 0
playsound minecraft:backrooms.custom.bacteria_speech2 master @s[scores={BacteriaSearch=301}] ~ ~ ~ 1000000 1
execute if score @s BacteriaSearch matches 301 run tag @e[tag=aj.bacteria.root] remove speech1
execute if score @s BacteriaSearch matches 301..470 as @e[tag=aj.bacteria.root] at @s run teleport @s ~ ~ ~0.025
execute if score @s BacteriaSearch matches 470..500 as @e[tag=aj.bacteria.root] at @s run teleport @s ~ ~ ~ ~-1.5 ~
execute if entity @s[tag=!summoned_bacteria,scores={BacteriaSearch=530},x=1,y=242,z=43,dx=3,dy=4,dz=4] run tag @e[tag=aj.bacteria.root] add summon_bacteria
tag @s[tag=!summoned_bacteria,scores={BacteriaSearch=530},x=1,y=242,z=43,dx=3,dy=4,dz=4] remove slowness3
tag @s[tag=!summoned_bacteria,scores={BacteriaSearch=530},x=1,y=242,z=43,dx=3,dy=4,dz=4] add slow2
tag @s[tag=!summoned_bacteria,scores={BacteriaSearch=530},x=1,y=242,z=43,dx=3,dy=4,dz=4] add summoned_bacteria
execute if entity @s[tag=bacteria_search2] if entity @e[tag=aj.bacteria.root,tag=summon_bacteria] run fill 1 243 43 2 243 47 air
execute if entity @s[tag=bacteria_search2] if entity @e[tag=aj.bacteria.root,tag=summon_bacteria] run setblock 0 243 43 air
tag @s[scores={BacteriaSearch=530..}] remove bacteria_search2

execute as @e[tag=aj.bacteria.root,tag=summon_bacteria] at @s run function game_controller:actions/summon/bacteria
execute if entity @e[tag=aj.bacteria.root,tag=summon_bacteria] run tag @e[tag=bacteria] add footsteps
execute as @e[tag=aj.bacteria.root,tag=summon_bacteria] at @s run playsound minecraft:backrooms.custom.bacteria_screech1 master @a ~ ~ ~ 1000000 1
execute as @e[tag=aj.bacteria.root,tag=summon_bacteria] at @s run playsound minecraft:backrooms.custom.bacteria_screech_lose master @a ~ ~ ~ 1000000 1
execute as @e[tag=aj.bacteria.root,tag=summon_bacteria] run function bacteria:remove/this